# Einleitung

Smartphones enthalten immer mehr Sensoren, mit denen sie Daten aus ihrer Umwelt erfassen. Erst durch den Zugriff über Software werden diese Sensordaten zu nützlichen Features. So wird Beispielsweise das Display eingeschaltet sobald man das Smartphone aus der Hosentasche holt oder ausgeschaltet wenn man es sich ans Ohr hält. Ein großes Augenmerk erhält die Lokalisierung der Geräte. Hierdurch werden Anwendungen wie die Navigation ermöglicht. Bei der Distanzmessung geht es darum, die Strecke, die ein Gerät in Bewegung zurücklegt, zu erfassen. In dieser Arbeit soll untersucht werden, wie die Messung auf kleinen Skalen, im Zentimeterbereich umgesetzt werden kann.

Bei der Distanzmessung ist eine Lokalisierung nicht zwingend erforderlich. Wenn eine Bewegung auf einer geraden vorliegt stellt die Entfernungsänderung zu einem Referenzpunkt die zurückgelegte Distanz dar. Dadurch könnte die Entfernungsmessung auch zum Beispiel mithilfe der Lautsprecher und des Mikrofons im Smartphone erfolgen [@Graham_2015]. In dieser Arbeit soll jedoch der flexibleren Einsatzbereich der Lokalisierung des Smartphones im Vordergrund stehen. 

Auch für diesen Einsatzzweck sind im Smartphone viele der Verbauten Sensoren mehr oder weniger gut geeignet. Einer der bekanntesten Sensoren ist hier das Global Positioning System (GPS). Dieses ermöglicht die Lokalisierung außerhalb von Gebäuden mit einer guten Genauigkeit [@Bajaj_2002a]. Da die Messungen nicht auf den außenbereich beschränkt sein sollen, wird GPS nicht näher betrachtet.


----

Viele Arbeiten beschäftigen sich mit der Lokalisierung in Innenräumen. Die meisten basieren auf dem IEEE 802.11 standard, besser bekannt als WiFi. 

Aber auch mit dem WLAN Sensor, Bluetooth, NFC, Magnetometer, Gyroskop, Accelerometer

Im Smartphone befinden sich mehrere Sensoren, die zur Lokalisierung des Geräts eingesetzt werden können. Da sich die Experimente mit phyphox&reg; meist im Innenraum abspielen, wird GPS für diesen Einsatzzweck nicht betrachtet. Mithilfe von WLAN, Bluetooth, NFC, Magnetometer, Gyroskop, Accelerometer, Kamera und Ultraschall bleiben jedoch viele weitere Möglichkeiten zur Lokalisierung bestehen [@maghdid_comprehensive_2021]. 

Bei der Smartphone-Anwendung phyphox&reg; handelt es sich um eine Open-Source-Anwendung, mit deren Hilfe Experimente mit dem Smartphone durchgeführt werden können. Hierzu greift sie auf die im Gerät verbauten Sensoren zurück. So lassen sich zum Beispiel mit dem Luftdrucksensor die im Fahrstuhl zurückgelegten Stockwerke ermitteln und anzeigen, oder die Länge eines Pendels, an dem das Smartphone hängt, durch die Pendelfrequenz berechnen. Anwender können mithilfe von XML-Dateien die Anwendung um eigene Experimente erweitern. Hierdurch wird phyphox&reg; gerade für Schulen interessant, da es Schülern die Möglichkeit bietet, die Theorie in der Praxis zu erleben. Aktuell fehlt jedoch eine Möglichkeit zur Distanzmessung. Durch diese könnten Experimente wie die Errechnung der Beschleunigung aus der zurückgelegten Wegstrecke und der Zeit durchgeführt werden.

 
Die Genauigkeit der Distanzmessung hängt von der 

Um eine genaue Distanzmessung durchführen zu können muss die Punktuelle Lokalisation eines Gerätest möglich genau sein. 


Die Distanz beschreibt die Länge einer, durch eine dynamische Bewegung zurückgelegten Strecke. Die Entfernung hingegen beschreib den Abstand zwischen zwei Punkten im Raum. 

## Motivation und Ausgangslage

Der Fokus dieser Arbeit liegt auf der Umsetzung der Distanzmessung mittels Bluetooth unter Verwendung des RSSI (Received Signal Strength Indicator). Diese Lösung wird häufig in der Indoor-Navigation angewandt, da sie sowohl kostengünstig als auch weit verbreitet ist. Hierbei findet die Lokalisierung der Geräte zum Beispiel durch Triangulation mittels Referenzpunkten statt. Diese Reverenzpunkte sind als Bluetoothbeacon bezeichnet. Sie können sowohl weitere Smartphones als auch dedizierte Hardware sein. Bei der Indoor-Navigation sind diese Referenzpunkte mehrere Meter auseinander, was zu einer geringen Signalstärke am Empfänger und somit zu größeren Auswirkungen von Störeinflüssen führt. Bei der Messung von kleinen Skalen können die Bluetooth Beacons in einem engeren Raster angeordnet werden. 

## Zielsetzung

Das Ziel der Arbeit ist es, die Genauigkeit einer Distanzmessung auf einem eingeschränkten Bereich von rund \si{2}{m} zu erhöhen. Das gewählte Setup soll dabei möglichst einfach umsetzbar sein.
Mithilfe einer Beispielimplementierung soll die Genauigkeit dieses Setups untersucht werden. Zur weiteren Verbesserung der Genauigkeit sollen verschiedene Filtermöglichkeiten implementiert werden. Mit einer genauen Distanzmessung lassen sich Beispielsweise neue Experimente mit dem Smartphone umsetzen.

## Aufbau der Arbeit

# Technische Grundlagen

## Distanzmessung

Zur Messung der Distanz wird die Länge einer zurückgelgeten Strecke ermittelt. Die digitale Erfassung einer Strecke basiert auf der Aufzeichnung einzelner Wegpunkte. Je näher die Wegpunkte beieinander liegen, desto genauer kann die Strecke ermittelt werden. Hierzu ist es notwendig, das jeder Wegpunkt mit möglichst hoher präzision ermittelt wird. Somit lässt sich die Genauigkeit der Distanzmessung verbessern, wenn die Bestimmung einzelner Wegpunkte verbessert wird. Im weiteren verlauf wird die Genauigkeit der Punktuellen Lokalisierung betrachtet und Möglichkeiten zur Verbesserungen untersucht.

## Lokalisierung

Für die Lokalisierung stehen verschiedene Methoden zur Verfügung die in den Folgenden Kapiteln näher betrachtet werden.

### Räumliche Nähe (Proximity)

Die einfachste Form der Positionsbestimmung ist es, zu Prüfen ob sich das Objekt in einem bestimmten Areal befindet. Hierbei ist die Auflösung vom Raster des Areals abhängig. Beim Einsatz von funkbasierten Systemen kann dieses Areal mehrere Zentimeter bis hin zu Kilometer groß sein. Die Genauigkeit lässt sich erhöhen, indem mehr Funksender kombiniert werden, deren Senderadius sich überlapt. 

### Entfernungsmessung

Bei der Entfernungsmessung geht es darum die Entfernung zu einem Referenzpunkt zu ermitteln. 

## Bluetooth

## Fehlerkorrekturen

## Bewertung

## Beschreibung der eigenen Idee/ Innovation

# Konzeption und Anforderungsanalyse

# Implementierung einer Android-App

# Umsetzung des Kalman Filters

# Testaufbau und Durchführung

# Ergebnisse

# Zusammenfassung und Ausblick

## Zusammenfassung und Fazit

## Ausblick